This page explains how to create Akamai Media Analytics elements.
| Parameter | Value | Mandatory |
|---|---|---|
| title | A non-empty string | YES |
| url_beacon | The URL of the xml beacon of the analytics configuration. | YES |
| default | 1 if you want the configuration entered to be the default. 0 otherwise. A default configuration is automatically associated when creating a new embed which is not explicitly specified |
NO |
| description | A string | NO |
| Field | Value | Description |
|---|---|---|
| id | string | Object ID |
| title | string | Object title |
| default | boolean | 1 if the default configuration is Akamai Media Analytics . 0 otherwise |
| description | string | The associated description |
| url_beacon | string | URL of the associated beacon file |
| created_at | string | The create date that follows the format Y-m-d H:i:sY(year) m(month) d(day) H(hours) i(minutes) s(seconds) |
curl -i -H "Accept: application/json" -H "Content-Type:application/json" -H "access-token: [your-access-token]" -X POST http://API_DOMAIN/rest/v2/ama.json -d '
{
"title": "Ama title",
"url_beacon": "http:\/\/example.com\/beacon.xml",
"default": "1"
}'
{
"id":"2",
"title":"Ama title",
"default":"1",
"description":null,
"url_beacon":"http://example.com/beacon.xml",
"created_at":"2013-05-18 17:00:37"
}
Note The object created will be returned as a response
$merideApi = new Meride\Api('[your-auth-code]', 'http://API_DOMAIN/', 'v2');
$response = $merideApi->create('ama', array (
'title' => 'Ama title',
'url_beacon' => 'http://example.com/beacon.xml',
'default' => '1',
));